summaryrefslogtreecommitdiff
path: root/utils/installer/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/installer/install.sh')
-rwxr-xr-xutils/installer/install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index b6b7bc31..88c3e550 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -174,6 +174,17 @@ function print_missing_dep_msg() {
fi
}
+function check_neovim_min_version() {
+ # TODO: consider locking the requirement to 0.6+
+ local verify_version_cmd='if !has("nvim-0.5.1") | cquit | else | quit | endif'
+
+ # exit with an error if min_version not found
+ if ! nvim --headless -u NONE -c "$verify_version_cmd"; then
+ echo "[ERROR]: LunarVim requires at least Neovim v0.5.1 or higher"
+ exit 1
+ fi
+}
+
function check_system_deps() {
if ! command -v git &>/dev/null; then
print_missing_dep_msg "git"
@@ -183,6 +194,7 @@ function check_system_deps() {
print_missing_dep_msg "neovim"
exit 1
fi
+ check_neovim_min_version
}
function __install_nodejs_deps_npm() {